Skip to main content
GET
/
rest
/
search
/
v2
curl -X GET "https://api.hibonsai.com/rest/search/v2/?q=humidifier" \
  -H "X-API-Key: YOUR_API_KEY_HERE"
{
  "results": [
    {
      "id": "product-uuid",
      "type": "product",
      "name": "Product Name",
      "description": "Product description",
      "image": "https://example.com/image.jpg",
      "images": ["https://example.com/image1.jpg"],
      "slug": "product-slug",
      "publicUrl": "https://example.com/products/product-slug",
      "publishedAt": "2024-01-01T00:00:00Z",
      "vendor": "Vendor Name",
      "tags": ["tag1", "tag2"],
      "productType": "Product Type",
      "price": "99.99",
      "compareAtPrice": "129.99"
    },
    {
      "id": "context-uuid",
      "type": "context",
      "name": "Shop Context Name",
      "description": "Context description",
      "image": null,
      "images": [],
      "slug": null,
      "publicUrl": "https://example.com/context",
      "publishedAt": "2024-01-01T00:00:00Z",
      "vendor": null,
      "tags": [],
      "productType": null,
      "price": null,
      "compareAtPrice": null
    }
  ],
  "count": 2
}

Endpoint

GET /rest/search/v2/ GET /rest/search/v2/{shop_id}/

Query Parameters

q
string
required
Search query string.
shop_id
string
Filter to one or more shops.
products_only
boolean
default:"false"
Return only products when true.
skip_scoring
boolean
default:"false"
Skip LLM scoring when true.
curl -X GET "https://api.hibonsai.com/rest/search/v2/?q=humidifier" \
  -H "X-API-Key: YOUR_API_KEY_HERE"
curl -X GET "https://api.hibonsai.com/rest/search/v2/?q=humidifier&shop_id=shop-1&shop_id=shop-2" \
  -H "X-API-Key: YOUR_API_KEY_HERE"
{
  "results": [
    {
      "id": "product-uuid",
      "type": "product",
      "name": "Product Name",
      "description": "Product description",
      "image": "https://example.com/image.jpg",
      "images": ["https://example.com/image1.jpg"],
      "slug": "product-slug",
      "publicUrl": "https://example.com/products/product-slug",
      "publishedAt": "2024-01-01T00:00:00Z",
      "vendor": "Vendor Name",
      "tags": ["tag1", "tag2"],
      "productType": "Product Type",
      "price": "99.99",
      "compareAtPrice": "129.99"
    },
    {
      "id": "context-uuid",
      "type": "context",
      "name": "Shop Context Name",
      "description": "Context description",
      "image": null,
      "images": [],
      "slug": null,
      "publicUrl": "https://example.com/context",
      "publishedAt": "2024-01-01T00:00:00Z",
      "vendor": null,
      "tags": [],
      "productType": null,
      "price": null,
      "compareAtPrice": null
    }
  ],
  "count": 2
}

Response Fields

FieldTypeDescription
resultsarrayArray of search results
results[].idstringUnique identifier (UUID)
results[].typestringResult type: "product" or "context"
results[].namestringProduct or context name
results[].descriptionstringDescription text
results[].imagestring|nullPrimary image URL
results[].imagesarrayArray of image URLs
results[].slugstring|nullURL-friendly identifier
results[].publicUrlstring|nullPublic URL to the product/context
results[].publishedAtstring|nullISO 8601 timestamp
results[].vendorstring|nullVendor name
results[].tagsarrayArray of tag strings
results[].productTypestring|nullProduct type/category
results[].pricestring|nullPrice as string
results[].compareAtPricestring|nullCompare at price (original price)